#ifndef PQENGINEPAINTER_H
#define PQENGINEPAINTER_H

#include <pqengine.h>

class PQEngineDrawKit : public IPQExtension {
public:
    QMetaObjectList classes();
    bool start();
    bool finalize();

    PQEXT_USE(instance)
    PQEXT_USE(ub_write)
    PQEXT_USE(pre)

    PQEXT_ENTRY_START(PQEngineDrawKit)
        PQEXT_NO_INSTANCE
        PQEXT_NO_UB_WRITE
        PQEXT_NO_PRE
    PQEXT_ENTRY_END
};

#endif // PQENGINEPAINTER_H
